PSIGN(1)

NAME
psign - produce a RADIANCE picture from text.

SYNOPSIS
psign [ options ] [ text ]

DESCRIPTION
Psign produces a RADIANCE picture of the given text. The output dimensions are determined by the character height, aspect ratio, number of lines and line length. (Also the character size if text squeezing is used.) If no text is given, the standard input is read.

-cb r g b
    Set the background color to r g b The default is white (1 1 1).

-cf r g b
    Set the foreground color to r g b The default is black (0 0 0).

-dr Text reads to the right (default).

-du Text reads upwards.

-dl Text reads to the left (upside down).

-dd Text reads downwards.

-h cheight
    Set the character height to cheight. The default is 32 pixels.

-a aspect
    Set the character aspect ratio (height/width) to aspect. The default value is 1.67.

-x xsize
    Set the horizontal image size to xsize. Use with -y option (below) in place of the -h specification to control output image size directly. If the character aspect ratio (-a option, above) is non-zero, then one of the specified x or y output dimensions may be reduced to maintain this ratio. If direction is right (-dr) or left (-dl), then it is not necessary to give the -y option, since it can be computed from the character height (-h).

-y ysize
    Set the vertical image size to ysize. Use with the -x option (described above). If direction is up (-du) or down (-dd), then it is not necessary to give the -x option, since it can be computed from the character height (-h).

-s spacing
    Set the intercharacter spacing to spacing. The magnitude of this value is multiplied by the character height over the aspect ratio (ie. the character width) to compute the desired distance between characters in the output. The sign of the value, positive or negative, determines how this ideal spacing is used in the actual placement of characters. If spacing is positive, then the overall width of the line will not be affected, nor will indentation of textual elements. Thus, the text format will be mostly unaffected. However, spacing between characters will reflect their relative size for a more natural appearance. If spacing is negative, characters will be squeezed together to meet the spacing critereon, regardless of how it might affect the format of the output. The default value for spacing is zero, which is interpreted as uniformly spaced characters.

-f fontfile
    Load the font from fontfile. The default font is helvet.fnt

EXAMPLE
To put a big "Hi!" on the terminal:

    psign -h 22 -a 1 -cb 0 0 0 -cf 1 1 1 Hi\! | ttyimage

ENVIRONMENT
RAYPATH    path to search for font files

AUTHOR
Greg Ward

BUGS
The entire bitmap is stored in memory, which can be a problem for large and/or high-resolution signs.

SEE ALSO
getinfo(1), pcompos(1), pfilt(1), ttyimage(1)